Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
payments
List payments for hub
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/payments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "amount": 123,
        "contact_id": "<string>",
        "currency": "<string>",
        "external_intent_id": "<string>",
        "hub_id": "<string>",
        "payment_account_id": "<string>",
        "status": "<string>",
        "amount_refunded": 0,
        "charged_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "external_charge_id": "<string>",
        "external_hosted_invoice_url": "<string>",
        "external_invoice_id": "<string>",
        "failure_code": "<string>",
        "failure_message": "<string>",
        "order_id": "<string>",
        "receipt_url": "<string>",
        "refunded_at": "2023-11-07T05:31:56Z",
        "source": "native",
        "subscription_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "payments"
    }
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Query Parameters

filter[contact_id]
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100
page[after]
string | null

Response

Successful Response

data
PaymentResource · object[]
required
meta
Meta · object
required